import java.util.*;

class Programa{
  public static void main(String args[]){
    // Inicializa os usuários.
    Pessoa p1 = new Pessoa("Eduardo Machado", "e.machado");
    Pessoa p2 = new Pessoa("Victor Perszel", "v.perszel");
    Pessoa p3 = new Pessoa("Leandro Rodrigues", "l.rodrigues");

    Grupo g1 = new Grupo("BCC 2014", "bcc.2014");
    Grupo g2 = new Grupo("Apps Developers", "apps.dev");

    // Seta as relações.
    p1.adicionaPessoa(p2, "Amigo", 5);
    p1.adicionaPessoa(p3, "Amigo", 5);
    p1.adicionaPessoa(p3, "Em Relacionamento", 3);
    p1.entraGrupo(g1);

    p2.adicionaPessoa(p3, "Amigo", 5);
    p2.entraGrupo(g1);
    p2.entraGrupo(g2);

    p3.adicionaPessoa(p1, "Parente", 3);
    p3.adicionaPessoa(p2, "Conhecido", 2);

    // Simulação de interações.
    p1.publicaPensamento("Fazendo o trabalho de Redes 1 para sempre...");
    p2.publicaComentario("Eu também :(", p1.getPensamento(0));
    p2.publicaLike(p1.getPensamento(0));
    p2.publicaPensamento("Calor infernal!!!");
    g1.publicaPensamento("Prova de TAP semana que vem pessoal.");
    p2.publicaDislike(g1.getPensamento(0));
    p2.saiGrupo(g1);

    p1.mostraTimeline();
    System.out.printf("\n");
    p2.mostraTimeline();
    System.out.printf("\n");
    p3.mostraTimeline();
    System.out.printf("\n");
  }
}
